# -*- coding: utf-8 -*-
import werkzeug.utils

from odoo import http
from odoo.http import request

from odoo.addons.web.controllers.home import Home
from odoo.addons.saas_worker.const import SAAS_BASE_URL


class DemoHome(Home):
    @http.route()
    def index(self, **kw):
        if not request.session.db:
            return werkzeug.utils.redirect('//demo.%s' % SAAS_BASE_URL, 302)
        return super(DemoHome, self).index(**kw)
